import request from '../utils/request'

export function getList(patientId) {
    return request({
        url: '/covid/getList',
        method: 'get',
        params: {patientId},
    })
}

export function getDetail(id) {
    return request({
        url: '/covid/getDetail',
        method: 'get',
        params: {id},
    })
}

export function getPatientInfo(patientId) {
    return request({
        url: '/covid/getPatientInfo',
        method: 'get',
        params: {patientId},
    })
}

export function submitCovidAssessment(data) {
    return request({
        url: '/covid/submit',
        method: 'post',
        data,
    })
}

export function getRegionProvince() {
    return request({
        url: '/covid/getRegionProvince',
        method: 'get',
    })
}

export function getChildRegion(parentCode) {
    return request({
        url: '/covid/getChildRegion',
        method: 'get',
        params: {parentCode},
    })
}
